/* Copyright 2012 VMware, Inc. All rights reserved. -- VMware Confidential */
package com.vmware.samples.actions {

import com.vmware.core.model.IResourceReference;
import com.vmware.flexutil.proxies.BaseProxy;

/**
 * Proxy class for the VmActionService java service
 */
public class ActionCommandProxy extends BaseProxy
{
   private static const SERVICE_NAME:String = "VmActionService";

   // channelUri uses the Web-ContextPath define in MANIFEST.MF (vmaction-ui)
   // A secure AMF channel is required because vSphere Web Client uses https
   private static const CHANNEL_URI:String =
         "/" + Vmactionui.contextPath + "/messagebroker/amfsecure";

   /**
    * Create an ActionCommandProxy with a secure channel.
    */
   public function ActionCommandProxy() {
      super(SERVICE_NAME, CHANNEL_URI);
   }

   /**
    * Call the "backendAction" method of VmActionService.
    *
    * @param vmObject      The selected VM
    * @param callBack      Optional callback method
    * @param callContext   Optional object that is passed back in the callback method
    */
   public function backendAction(vmObject:IResourceReference, callback:Function = null,
                               context:Object = null):void {
      callService("backendAction", [vmObject], callback, context);
   }
}
}