@echo off
REM --- Windows script to build all samples

@IF not defined ANT_HOME (
   @echo You must set the env variable ANT_HOME to your Apache Ant folder
   goto end
)
@IF not defined FLEX_HOME (
   @echo You must set the env variable FLEX_HOME to your Flex SDK folder,
   @echo for instance: set FLEX_HOME=C:\Program Files\Adobe\Adobe Flash Builder 4 Plug-in\sdks\4.1.0
   goto end
)
@IF not defined VSPHERE_SDK_HOME (
   @echo You must set the env variable VSPHERE_SDK_HOME to your vSphere Web Client SDK folder
   goto end
)
@IF not exist "%VSPHERE_SDK_HOME%\libs\vsphere-client-lib.swc" (
   @echo VSPHERE_SDK_HOME is not set to a valid vSphere Web Client SDK folder
   @echo %VSPHERE_SDK_HOME%\libs\vsphere-client-lib.swc is missing
   goto end
)

@call "%ANT_HOME%\bin\ant" -f build-all.xml

@echo.
@echo "Note: if Ant runs out of memory set ANT_OPTS=-Xms768m -Xmx1024m -XX:MaxPermSize=256m"
:end
