/* Copyright 2012 VMware, Inc. All rights reserved. -- VMware Confidential */

package com.vmware.samples.viewspropertiesui.model {
import com.vmware.core.model.DataObject;

[Bindable]
[Model(type="Datastore")]
/**
 * A data model of Datastore properties to display as list items in
 * HostSampleSummarySectionView.
 */
public class DatastoreDataItem extends DataObject {

    [Model(property="summary.name")]
    /**
     * The name of this Datastore.
     */
    public var name:String;

    [Model(property="summary.type")]
    /**
     * The file system type of this Datastore.
     */
    public var type:String;
}
}
